%define name libnet
%define dirname Libnet-latest
%define version 1.1.0
%define release 1.4%{?dist}
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{dirname}-%{version}

Summary: Routines to help with network packet contruction and handling
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
License: BSD
Group: Development/Libraries
Source: %{name}.tar.gz
Patch: libnet-1.1.0.libnet-config.patch
URL: http://www.packetfactory.net/libnet/
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Libnet is a collection of routines to help with the construction and
handling of network packets. It provides a portable framework for low-
level network packet writing and handling.

%prep
rm -rf %{builddir}

%setup -n %{dirname}
%patch -p1
touch `find . -type f`

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cd $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files
%defattr(-, root, root)
%doc doc/CHANGELOG* doc/COPYING README doc/Ancillary/README* doc/TODO*
/usr/lib/*
/usr/include/*
/usr/man/man3/*
/usr/bin/*


%changelog
* Mon Oct 06 2008 Hua Jie <jiehua@redflag-linux.com> 1.1.0-1.4%{?dist}
- using same source code for Asianux 2.0 and 3.0

* Thu Apr 05 2007 Hua Jie <jiehua@redflag-linux.com> 1.1.0-1.3AX
- remove Vendor and Packager

* Wed Mar 14 2007 Xiao Liu <xiaoliu@redflag-linux.com>
- change Copyright to License

* Thu Apr 07 2005 Zou Pengcheng <pczou@redflag-linux.com> 1.1.0-1.1AX
- rebuild for AX2.0

* Wed Mar 12 2003 Horms <horms@verge.net.au>
- Updated for 1.1.0
